body {
  margin: 0;
  padding: 10px;
  background: #faf8ef;
  color: #ffffff;
  font-size: 36px; 
}

h1 {
  font-size: 50px;
  font-style: italic;
  color: black;
}

p { 
  color: black;
  font-size: 20px;
}

a {
  color: black;
  font-size: 20px;
}

ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
}

li {
  float: left;
}

li a {
  display: block;
  color: black;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 25px;
}

li a:hover {
  background-color: gray;
}

/************** 2048 styling **************/

.grid-container {
  position: absolute;
  z-index: 1; 
}

.grid-row {
  margin-bottom: 15px; 
}

.grid-row:last-child {
  margin-bottom: 0; 
}	

.grid-row:after {
  content: "";
  display: block;
  clear: both;
}

.grid-cell {
  width: 106.25px;
  height: 106.25px;
  margin-right: 15px;
  float: left;
  border-radius: 3px;
  text-align: center;
  vertical-align: middle;
  line-height: 106.25px;
  background: rgba(238, 228, 218, 0.35); 
  color: black;
  font-family: georgia;
  font-size: 40px;
}

.grid-cell:last-child {
  margin-right: 0; 
}

.game-container {
  margin-top: 10px;
  position: relative;
  padding: 15px;
  cursor: default;
  background: #bbada0;
  border-radius: 6px;
  width: 500px;
  height: 500px;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box; 
}

/************** Side navigation bar styling **************/

.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #111;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
}

.sidenav a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.sidenav a:hover {
  color: #f1f1f1;
}

.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

@media screen and (max-height: 450px) {
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
}

/************** Photography styling **************/

* {
  box-sizing: border-box;
}

.header {
  text-align: center;
  padding: 32px;
}

/* Create two equal columns that floats next to each other */
.column {
  float: left;
  width: 33.33%;
  padding: 10px;
}

.column img {
  margin-top: 12px;
}

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}

/************** Styling for images/links on homepage **************/
.home-column {
  float: left;
  width: 33.33%;
  padding: 10px;
}

.home-column img {
  margin-top: 12px;
}

.home-row:after {
  content: "";
  display: table;
  clear: both;
}

.image {
  opacity: 1;
  display: block;
  width: 100%;
  height: auto;
  transition: .5s ease;
  backface-visibility: hidden;
}

.container {
  position: relative;
  width: 100%;
}

.overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  transition: .5s ease;
}

.container:hover .image {
  opacity: 0.3;
}

.container:hover .overlay {
  opacity: 1;
}

.text {
  font-size: 50px;
  font-style: italic;
  color: black;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  text-align: center;
}

/************** Social media icons **************/

.fa {
  padding: 20px;
  font-size: 30px;
  width: 80px;
  text-align: center;
  text-decoration: none;
  margin: 5px 2px;
  border-radius: 50%;
}

.fa:hover {
    opacity: 0.7;
}

.fa-linkedin {
  background: #007bb5;
  color: white;
}

.fa-github {
  background: black;
  color: white;
}